# Сори, упс…

Сориупс (SorryOps) — рограмма для помощи в решение тестов на платформе ОРИОКС.

Программа предоставляется на условиях **"КАК ЕСТЬ"**, разработчики не дают каких-либо гарантий. Не стоит использовать программу как спасательный круг от отчисления. Если вы не изучаете материал, посыпетесь на экзамене.

## Установка

### Bookmarklet

Bookmarklet — это закладка в браузере, которая запускает код. Вместо ссылки аля `https://…` сохраняется сниппет `javascript:…`. Работает только функция отображения номеров ответа, предостовляемых системой ОРИОКС.

Добавьте ссылку в закладки. Чтобы числа появились нужно открыть ссылку из панели закладок.

```js
javascript:document.querySelectorAll('input[type="checkbox"],input[type="radio"]').forEach(function(e){var s=document.createElement("span");s.innerHTML=(e.type=="radio"&&e.value==="1"?"<b>"+e.value+")</b> ":e.value+") ");e.parentNode.insertBefore(s,e.parentNode.firstChild)});
```

### Userscript

Продвинутый, но в то же время очень мощный вариант. Рекомендую воспользоваться именно им, так как даже процесс установки значительно проще.

Для установки понадобится расширение [Tampermonkey](https://www.tampermonkey.net/) (ПК и Андроид) или [FREE Browser](https://f-droid.org/packages/org.woheller69.browser/) (Андроид). Установите скрипт со страницы на Greasy Fork. Готово!

[Скачать](https://greasyfork.org/en/scripts/481036-sorryops)

Для поддержки облачных ответов нужно ввести адрес сервера в настройках.

![](assets/3.jpg)

![](assets/4.jpg)

[Условия использования сервера sorryops.ru](TOS.ru.md)

## Как использовать

### Живая демонстрация старой версии

[https://t.me/dmcringelife/232](https://t.me/dmcringelife/232)

### Сервер

С сервера загружаются ответы, просчитанные с использованием отчётов других пользователей. Неправильные выделяются красным, правильные — зелёным. В конце тестирования на сервер отправляется отчёт, который поможет в нахождении правильных ответов.

### Автовыбор ответа

#### Первый

Выбирает первый по значениям системы ОРИОКС ответ. Это полезно на тестах, где первый вариант ответа всегда правильный.

#### Случайный

Выбирает случайный ответ/ответы так, чтобы была хотя бы вероятность того, что он правильный. Для этого с сервера загружается база для конкретного вопроса. Если были загружены неправильные ответы, то они не будут выбраны. Если был загружен правильный ответ, он будет выбран.

### Вариант отображения ответов

ОРИОКС — стандартная нумерация ответов. Сори — нумерация ответов с использованием букв для избежания путаницы и вычисляемая непосредственно скриптом.

### Заморозить и скрыть таймер

Опасная опция. Преподаватели могут судить о времени прохождения теста, смотря на этот бесполезный локальный таймер, который сбрасывается при перезагрузке страницы или смене вопроса. Скрипт именно замораживает таймер, увеличивая время в 10⁹⁹⁹ раз, а не перезагружает страницу.

### Горячие клавиши

Пока что работает только Enter для нажатия кнопки продолжить с пропуском подтверждений.

### Автопродолжение и автоперезапуск

Две опасные опции, которые отключаются спустя час после включения. Помогают полностью автоматизировать сбор отчётов на тестах с бесконечным числом попыток. Рекомендуется для отправки отчётов прорешивать только один тест в одно время.

[Исходный код](source)
